using LeetCode.Logic;

namespace LeetCode.Tests;

public class PalindromeStringTests
{
    private readonly PalindromeString _sut = new();

    [Theory]
    [InlineData("abba", true)]
    [InlineData("rever", true)]
    [InlineData("race a car", false)]
    public void TestIsPalindrome(string text, bool expected)
    {
        var result = _sut.IsPalindrome(text);
        Assert.Equal(expected, result);
    }

}